/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIESREGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2015-2019 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : r_cg_port.c
* Version      : Code Generator for RL78/G1F V1.00.01.03 [07 Mar 2016]
* Device(s)    : R5F11BLE
* Tool-Chain   : CA78K0R
* Description  : This file implements device driver for Port module.
* Creation Date: 2016/07/13
***********************************************************************************************************************/

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "mtr_common.h"
#include "r_cg_macrodriver.h"
#include "r_cg_port.h"
/* Start user code for include. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
* Function Name: R_PORT_Create
* Description  : This function initializes the Port I/O.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_PORT_Create(void)
{
    /***** initialize I/O port *****/

    P0 = _20_Pn5_OUTPUT_1 | _02_Pn1_OUTPUT_1 | _01_Pn0_OUTPUT_1;
    P1 = _00_Pn7_OUTPUT_0;
    P2 = _10_Pn4_OUTPUT_1 | _00_Pn2_OUTPUT_0;
    P4 = _08_Pn3_OUTPUT_1 | _04_Pn2_OUTPUT_1;
    P6 = _01_Pn0_OUTPUT_1;
    
    P7 = _80_Pn7_OUTPUT_1 | _40_Pn6_OUTPUT_1;
    P13 = _00_Pn0_OUTPUT_0;
    P14 = _02_Pn1_OUTPUT_1 | _01_Pn0_OUTPUT_1;
    PU4 = _01_PUn0_PULLUP_ON;
    PU5 = _01_PUn0_PULLUP_ON;
    PU7 = _10_PUn4_PULLUP_ON | _04_PUn2_PULLUP_ON | _02_PUn1_PULLUP_ON | _01_PUn0_PULLUP_ON;
    PU12 = _01_PUn0_PULLUP_ON;
    PU14 = _80_PUn7_PULLUP_ON;
    PIM0 = _00_PIMn4_TTL_OFF;
    PIM5 = _00_PIMn0_TTL_OFF;
    POM0 = _00_POMn0_NCH_OFF;
    POM1 = _00_POMn7_NCH_OFF;
    POM5 = _00_POMn0_NCH_OFF;
    POM7 = _00_POMn4_NCH_OFF;
    PMC0 = _F0_PMC0_DEFAULT_VALUE | _00_PMCn1_NOT_USE | _00_PMCn0_NOT_USE;
    PMC2 = _00_PMCn4_NOT_USE | _00_PMCn2_NOT_USE;
    PMC12 = _FE_PMC12_DEFAULT_VALUE | _00_PMCn0_NOT_USE;
    PMC14 = _7F_PMC14_DEFAULT_VALUE | _00_PMCn7_NOT_USE;
    PM0 = _80_PM0_DEFAULT_VALUE | _00_PMn5_MODE_OUTPUT | _10_PMn4_MODE_INPUT | _00_PMn1_MODE_OUTPUT | 
          _00_PMn0_MODE_OUTPUT;
    PM1 = _00_PMn7_MODE_OUTPUT;
    PM2 = _00_PMn4_MODE_OUTPUT | _00_PMn2_MODE_OUTPUT;
    PM3 = _FC_PM3_DEFAULT_VALUE;
    PM4 = _F0_PM4_DEFAULT_VALUE | _00_PMn3_MODE_OUTPUT | _00_PMn2_MODE_OUTPUT | _02_PMn1_MODE_INPUT;
    PM6 = _F0_PM6_DEFAULT_VALUE | _08_PMn3_MODE_INPUT | _04_PMn2_MODE_INPUT | _02_PMn1_MODE_INPUT;
    PM7 = _00_PMn7_MODE_OUTPUT | _00_PMn6_MODE_OUTPUT | _10_PMn4_MODE_INPUT | _04_PMn2_MODE_INPUT | _02_PMn1_MODE_INPUT | _01_PMn0_MODE_INPUT;
    PM12 = _FE_PM12_DEFAULT_VALUE | _01_PMn0_MODE_INPUT;
    PM14 = _3C_PM14_DEFAULT_VALUE | _80_PMn7_MODE_INPUT | _40_PMn6_MODE_INPUT | _00_PMn1_MODE_OUTPUT | 
           _00_PMn0_MODE_OUTPUT;

    /***** BEMF U, V, W ************/
    P5.2 = 0;                                                           /* output port of BEMF measure(U) */
    P5.3 = 0;                                                           /* output port of BEMF measure(V) */
    P5.4 = 0;                                                           /* output port of BEMF measure(W) */
    PM5.2 = 0;                                                          /* output mode for BEMF measure(U phase) */
    PM5.3 = 0;                                                          /* output mode for BEMF measure(V phase) */
    PM5.4 = 0;                                                          /* output mode for BEMF measure(W phase) */

    /***** PWM U, V, W **************
    P10 - Wn   P11 - Vn   P12 - Wp
    P13 - Vp   P14 - Un   P15 - Up
    ********************************/
    P1.0 = 0;                                                           /* Wn = "Low" */
    P1.1 = 0;                                                           /* Vn = "Low" */
    P1.2 = 0;                                                           /* Wp = "Low" */
    P1.3 = 0;                                                           /* Vp = "Low" */
    P1.4 = 0;                                                           /* Un = "Low" */
    P1.5 = 0;                                                           /* Up = "Low" */
    PM1.0 = 0;                                                          /* output mode for Wn */
    PM1.1 = 0;                                                          /* output mode for Vn */
    PM1.2 = 0;                                                          /* output mode for Wp */
    PM1.3 = 0;                                                          /* output mode for Vp */
    PM1.4 = 0;                                                          /* output mode for Un */
    PM1.5 = 0;                                                          /* output mode for Up */

    /***** LED1 to LED6 ************/
    P0.1 = 1;                                                           /* LED1 off */
    P0.0 = 1;                                                           /* LED2 off */
    P14.1 = 1;                                                          /* LED3 off */
    P14.0 = 1;                                                          /* LED4 off */
    P4.3 = 1;                                                           /* LED5 off */
    P4.2 = 1;                                                           /* LED6 off */
    PM0.1 = 0;                                                          /* output mode for LED1 */
    PM0.0 = 0;                                                          /* output mode for LED2 */
    PM14.1 = 0;                                                         /* output mode for LED3 */
    PM14.0 = 0;                                                         /* output mode for LED4 */
    PM4.3 = 0;                                                          /* output mode for LED5 */
    PM4.2 = 0;                                                          /* output mode for LED6 */
}

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
