/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIESREGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2015-2019 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : r_cg_intp.c
* Version      : Code Generator for RL78/G1F V1.00.01.03 [07 Mar 2016]
* Device(s)    : R5F11BLE
* Tool-Chain   : CA78K0R
* Description  : This file implements device driver for INTP module.
* Creation Date: 2016/07/13
***********************************************************************************************************************/

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_intp.h"
/* Start user code for include. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
* Function Name: R_INTP_Create
* Description  : This function initializes INTP module.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP_Create(void)
{
    /********** external interrupt edge detection 4(INTP4) **********/
    PPR14 = 0;                                                          /* INTP4(external interrupt edge detection 4) priority level is 0 */
    PPR04 = 0;
    EGP0_bit.no4 = 0;                                                   /* INTP4 pin valid edge : falling edge */
    EGN0_bit.no4 = 1;
    PMK4 = 0;                                                           /* INTP4 interrupt servicing enabled */

    /*************** initialize I/O port ***************/
    /* BEMF U:P52, BEMF V:P53, BEMF W:P54 */
    /*R_PORT_Create*/

    /*************** external interrupt edge detection 1, 2, 3(INTP1, 2, 3) ***************/
    PPR11 = 1;                                                          /* INTP1(external interrupt edge detection 1) priority level is 2 */
    PPR01 = 0;
    EGP0_bit.no1 = 1;                                                   /* INTP1 pin valid edge : both rising and falling edges */
    EGN0_bit.no1 = 1;
    PMK1 = 1;                                                           /* INTP1 interrupt servicing disabled */

    PPR12 = 1;                                                          /* INTP2(external interrupt edge detection 2) priority level is 2 */
    PPR02 = 0;
    EGP0_bit.no2 = 1;                                                   /* INTP2 pin valid edge : both rising and falling edges */
    EGN0_bit.no2 = 1;
    PMK2 = 1;                                                           /* INTP2 interrupt servicing disabled */

    PPR13 = 1;                                                          /* INTP3(external interrupt edge detection 3) priority level is 2 */
    PPR03 = 0;
    EGP0_bit.no3 = 1;                                                   /* INTP3 pin valid edge : both rising and falling edges */
    EGN0_bit.no3 = 1;
    PMK3 = 1;                                                           /* INTP3 interrupt servicing disabled */
}
/***********************************************************************************************************************
* Function Name: R_INTP0_Start
* Description  : This function clears INTP0 interrupt flag and enables interrupt.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP0_Start(void)
{
    PIF0 = 0U;                                                          /* clear INTP0 interrupt flag */
    PMK0 = 0U;                                                          /* enable INTP0 interrupt */
}
/***********************************************************************************************************************
* Function Name: R_INTP0_Stop
* Description  : This function disables INTP0 interrupt and clears interrupt flag.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP0_Stop(void)
{
    PMK0 = 1U;                                                          /* disable INTP0 interrupt */
    PIF0 = 0U;                                                          /* clear INTP0 interrupt flag */
}
/***********************************************************************************************************************
* Function Name: R_INTP1_Start
* Description  : This function clears INTP1 interrupt flag and enables interrupt.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP1_Start(void)
{
    PIF1 = 0U;                                                          /* clear INTP1 interrupt flag */
    PMK1 = 0U;                                                          /* enable INTP1 interrupt */
}
/***********************************************************************************************************************
* Function Name: R_INTP1_Stop
* Description  : This function disables INTP1 interrupt and clears interrupt flag.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP1_Stop(void)
{
    PMK1 = 1U;                                                          /* disable INTP1 interrupt */
    PIF1 = 0U;                                                          /* clear INTP1 interrupt flag */
}
/***********************************************************************************************************************
* Function Name: R_INTP2_Start
* Description  : This function clears INTP2 interrupt flag and enables interrupt.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP2_Start(void)
{
    PIF2 = 0U;                                                          /* clear INTP2 interrupt flag */
    PMK2 = 0U;                                                          /* enable INTP2 interrupt */
}
/***********************************************************************************************************************
* Function Name: R_INTP2_Stop
* Description  : This function disables INTP2 interrupt and clears interrupt flag.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP2_Stop(void)
{
    PMK2 = 1U;                                                          /* disable INTP2 interrupt */
    PIF2 = 0U;                                                          /* clear INTP2 interrupt flag */
}
/***********************************************************************************************************************
* Function Name: R_INTP3_Start
* Description  : This function clears INTP3 interrupt flag and enables interrupt.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP3_Start(void)
{
    PIF3 = 0U;                                                          /* clear INTP3 interrupt flag */
    PMK3 = 0U;                                                          /* enable INTP3 interrupt */
}
/***********************************************************************************************************************
* Function Name: R_INTP3_Stop
* Description  : This function disables INTP3 interrupt and clears interrupt flag.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP3_Stop(void)
{
    PMK3 = 1U;                                                          /* disable INTP3 interrupt */
    PIF3 = 0U;                                                          /* clear INTP3 interrupt flag */
}
/***********************************************************************************************************************
* Function Name: R_INTP4_Start
* Description  : This function clears INTP4 interrupt flag and enables interrupt.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP4_Start(void)
{
    PIF4 = 0U;                                                          /* clear INTP4 interrupt flag */
    PMK4 = 0U;                                                          /* enable INTP4 interrupt */
}
/***********************************************************************************************************************
* Function Name: R_INTP4_Stop
* Description  : This function disables INTP4 interrupt and clears interrupt flag.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_INTP4_Stop(void)
{
    PMK4 = 1U;                                                          /* disable INTP4 interrupt */
    PIF4 = 0U;                                                          /* clear INTP4 interrupt flag */
}

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
