
#ifndef  __ICS_RL78G1F_H
#define  __ICS_RL78G1F_H

#define   ICS_CPU_24PIN   (0x00L)
#define   ICS_CPU_32PIN   (0x10L)
#define   ICS_CPU_36PIN   (0x20L)
#define   ICS_CPU_48PIN   (0x30L)
#define   ICS_CPU_64PIN   (0x40L)

#define   ICS_R5F11B7x  (ICS_CPU_24PIN)
#define   ICS_R5F11BBx  (ICS_CPU_32PIN)
#define   ICS_R5F11BCx  (ICS_CPU_36PIN)
#define   ICS_R5F11BGx  (ICS_CPU_48PIN)
#define   ICS_R5F11BLx  (ICS_CPU_64PIN)

//                                 // 24p 32p 36p 48p 64p
#define   ICS_SCI0_P51_P50  (0x00) //  o   o   o   o   o
#define   ICS_SCI0_P17_P16  (0x01) //  x  (o) (o) (o) (o)   // PIOR0.1 = 1
#define   ICS_SCI1_P02_P03  (0x10) //  x   x   x   x   o
#define   ICS_SCI1_P00_P01  (0x11) //  o   o   o   o   x
#define   ICS_SCI1_P72_P73  (0x12) // (o) (o)  x  (o)  x    // PIOR0.5 = 1
#define   ICS_SCI2_P77_P76  (0x20) //  x   x   x   x  (o)   // PIOR0.1 = 1
#define   ICS_SCI2_P13_P14  (0x21) //  o   o   o   o   o

#define   ICS_R5F11B7x_SCI0_P51_P50     ((ICS_CPU_24PIN<<8)|ICS_SCI0_P51_P50)
#define   ICS_R5F11B7x_SCI1_P00_P01     ((ICS_CPU_24PIN<<8)|ICS_SCI1_P00_P01)
#define   ICS_R5F11B7x_SCI1_P72_P73     ((ICS_CPU_24PIN<<8)|ICS_SCI1_P72_P73)
#define   ICS_R5F11B7x_SCI2_P13_P14     ((ICS_CPU_24PIN<<8)|ICS_SCI2_P13_P14)

#define   ICS_R5F11BBx_SCI0_P51_P50     ((ICS_CPU_32PIN<<8)|ICS_SCI0_P51_P50)
#define   ICS_R5F11BBx_SCI0_P17_P16     ((ICS_CPU_32PIN<<8)|ICS_SCI0_P17_P16)
#define   ICS_R5F11BBx_SCI1_P00_P01     ((ICS_CPU_32PIN<<8)|ICS_SCI1_P00_P01)
#define   ICS_R5F11BBx_SCI1_P72_P73     ((ICS_CPU_32PIN<<8)|ICS_SCI1_P72_P73)
#define   ICS_R5F11BBx_SCI2_P13_P14     ((ICS_CPU_32PIN<<8)|ICS_SCI2_P13_P14)

// No support for BGA package

#define   ICS_R5F11BGx_SCI0_P51_P50     ((ICS_CPU_48PIN<<8)|ICS_SCI0_P51_P50)
#define   ICS_R5F11BGx_SCI0_P17_P16     ((ICS_CPU_48PIN<<8)|ICS_SCI0_P17_P16)
#define   ICS_R5F11BGx_SCI1_P00_P01     ((ICS_CPU_48PIN<<8)|ICS_SCI1_P00_P01)
#define   ICS_R5F11BGx_SCI1_P72_P73     ((ICS_CPU_48PIN<<8)|ICS_SCI1_P72_P73)
#define   ICS_R5F11BGx_SCI2_P13_P14     ((ICS_CPU_48PIN<<8)|ICS_SCI2_P13_P14)

#define   ICS_R5F11BLx_SCI0_P51_P50     ((ICS_CPU_64PIN<<8)|ICS_SCI0_P51_P50)
#define   ICS_R5F11BLx_SCI0_P17_P16     ((ICS_CPU_64PIN<<8)|ICS_SCI0_P17_P16)
#define   ICS_R5F11BLx_SCI1_P02_P03     ((ICS_CPU_64PIN<<8)|ICS_SCI1_P02_P03)
#define   ICS_R5F11BLx_SCI2_P77_P76     ((ICS_CPU_64PIN<<8)|ICS_SCI2_P77_P76)
#define   ICS_R5F11BLx_SCI2_P13_P14     ((ICS_CPU_64PIN<<8)|ICS_SCI2_P13_P14)

void ics2_init(uint16_t addr, uint16_t pin, uint8_t level, uint8_t num, uint8_t brr, uint8_t mode);
void ics2_watchpoint(void); 
uint32_t ics2_version(void);

void int_ics_sci_tx(void);
void int_ics_sci_rx(void);
void int_ics_sci_err(void);

#endif  /* __ICS_RL78G1F_H */
