/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* 
* Copyright (C) 2015-2019 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name   : mtr_common.h
* Description : This header includes Pragma directive, Typedef definitions
******************************************************************************/
/******************************************************************************
* History : 23.03.2015  Ver.1.00
*******************************************************************************/

#define ICS_USE
#define LED_CTRL_ON

/* PreDriver Seq Option */
/* #define CS_SET1_TO_SEQINIT */                                        /* SEQ CS_SET1 -> SEQINIT */

#define HW_ERR_DET_ON                                                   /* ALARM Error Detect On */
#define FW_ERR_DET_OVERVOLTAGE
/* #define FW_ERR_DET_UNDERVOLTAGE */
/* #define FW_ERR_DET_OVERSPEED */
#define FW_ERR_DET_TIMEOUT
#define FW_ERR_DET_LESS
#define FW_ERR_DET_UNKNOWN

/* guard against multiple inclusion */
#ifndef MTR_COMMON_H
#define MTR_COMMON_H

/******************************************************************************
* Pragma directive
******************************************************************************/
#ifndef __PRAGMAINI__
#include "iodefine.h"

#define DI() __DI()
#define EI() __EI()
#define NOP() __nop()
#define STOP() __stop()
#define HALT() __halt()

#define __interrupt __near
#define __PRAGMAINI__
#endif

/******************************************************************************
* Typedef definitions
******************************************************************************/

#endif /* MTR_COMMON_H */
