/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* 
* Copyright (C) 2015-2019 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name   : mtr_main.h
* Description : A definitions of the processing of an application layer
******************************************************************************/
/******************************************************************************
* History : 23.03.2015  Ver.1.00
******************************************************************************/

/* guard against multiple inclusion */
#ifndef MTR_MAIN_H
#define MTR_MAIN_H

/******************************************************************************
* Macro definitions
******************************************************************************/
/* select UI */
#define ICS_UI                  (0)                                     /* ICS */
#define BOARD_UI                (1)                                     /* board */

/* rotational direction */
#define M_CW                    (0)                                     /* CW */
#define M_CCW                   (1)                                     /* CCW */

#define MAX_SPEED               (CP_MAX_SPEED_RPM)                      /* max speed [rpm] (mechanical angle) */
#define MIN_SPEED               (CP_MIN_SPEED_RPM)                      /* min speed [rpm] (mechanical angle) */
#define MARGIN_SPEED            (100)                                   /* margin speed [rpm] (mechanical angle) */
#define MARGIN_MIN_SPEED        (MIN_SPEED - MARGIN_SPEED)              /* min speed (include margin) [rpm] (mechanical angle) */

#define SPEED_LPF_K             ((int16_t)(CP_SPEED_LPF_K * 16384))     /* speed LPF parameter */

#define SW_ON                   (0)                                     /* active level of SW */
#define SW_OFF                  (1)                                     /* inactive level of SW */

#define REQ_CLR                 (0)                                     /* request flag clear */
#define REQ_SET                 (1)                                     /* request flag set */

#define LED_ON_1ST_SPEED        (1500)                                  /* LED ON 1st step */
#define LED_ON_2ND_SPEED        (3000)                                  /* LED ON 2nd step */

#define REQ_ROT_CCW             (0)                                     /* ROT DIR CCW */
#define REQ_ROT_CW              (1)                                     /* ROT DIR CW */

/******************************************************************************
* Private global functions
******************************************************************************/
void main(void);                                                        /* main function */

#endif /* MTR_MAIN_H */
