/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIESREGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2015-2019 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : r_cg_predrv_prm.h
* Version      : 
* Device(s)    : 
* Tool-Chain   : 
* Description  : This file implements device driver for pre-driver module.
* Creation Date: 2016/07/05
***********************************************************************************************************************/
#ifndef PREDRV_PRM_H
#define PREDRV_PRM_H

/***********************************************************************************************************************
Macro definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Typedef definitions
***********************************************************************************************************************/
typedef struct
{
    uint8_t    adr;
    uint8_t    prm;

}PREDRV_PRM;

/***********************************************************************************************************************
Parameter Table
***********************************************************************************************************************/
#define PREDRVREG_SEQINIT_RPM_NUM (13)
PREDRV_PRM const predrv_reg_seqinit_parameter[PREDRVREG_SEQINIT_RPM_NUM] = {

    /*  address                parameter */

    /* *** Motor Control Port *** */
    { PREDRVREG_SELSIG_U  , INIT_SELSIG_U   },
    { PREDRVREG_SELSIG_V  , INIT_SELSIG_V   },
    { PREDRVREG_SELSIG_W  , INIT_SELSIG_W   },

    /* *** Hall Signal *** */
    { PREDRVREG_HALL_SIG  , INIT_HALL_SIG   },

    /* *** Error Wait *** */
    { PREDRVREG_ERROR_WAIT, INIT_ERROR_WAIT },

    /* *** CS Set *** */
    { PREDRVREG_CS_SET1   , INIT_CS_SET1    },

    /* *** Hall IC Threshold *** */
    { PREDRVREG_HAIC_TH   , INIT_HAIC_TH    },

    /* *** Motor Lock Status *** */
    { PREDRVREG_LD_WAIT   , INIT_LD_WAIT    },

    /* *** Slew Rate *** */
    { PREDRVREG_IDRCNT_H  , INIT_IDRCNT_H   },
    { PREDRVREG_IDRCNT_L  , INIT_IDRCNT_L   },
    { PREDRVREG_TRCNT_P   , INIT_TRCNT_P    },

    /* *** CP Set *** */
    { PREDRVREG_CPSET1    , INIT_CPSET1     },
    { PREDRVREG_CPSET2    , INIT_CPSET2     },

};

PREDRV_PRM const predrv_reg_init_parameter[PREDRVREG_NUM_MAX] = {

    /*  address                parameter */

    { PREDRVREG_PS_ALL    , 0x00 },
    { PREDRVREG_PS        , 0x00 },
    { PREDRVREG_SW_RESET  , 0x00 },
    { PREDRVREG_ADC_SEL   , 0x00 },
    { PREDRVREG_SELSIG_U  , 0x00 },
    { PREDRVREG_SELSIG_V  , 0x00 },
    { PREDRVREG_SELSIG_W  , 0x00 },
    { PREDRVREG_HALL_SIG  , 0x00 },
    { PREDRVREG_ALMSTS1   , 0x00 },
    { PREDRVREG_ALMOPE1   , 0x00 },
    { PREDRVREG_ALMOUT1   , 0x00 },
    { PREDRVREG_ALMSTS2   , 0x00 },
    { PREDRVREG_CS_SET2   , 0x00 },
    { PREDRVREG_ALMOUT2   , 0x00 },
    { PREDRVREG_ERROR_WAIT, 0x00 },

    { PREDRVREG_CS_SET1   , 0x00 },
    { PREDRVREG_HAIC_TH   , 0x00 },
    { PREDRVREG_PDDSTS    , 0x00 },
    { PREDRVREG_LD_WAIT   , 0x00 },
    { PREDRVREG_DRIVE_SET , 0x00 },
    { PREDRVREG_DI_TIME   , 0x00 },
    { PREDRVREG_IDRCNT_H  , 0x00 },
    { PREDRVREG_IDRCNT_L  , 0x00 },
    { PREDRVREG_TRCNT_P   , 0x00 },
    { PREDRVREG_CPSET1    , 0x00 },
    { PREDRVREG_CPSET2    , 0x00 },
    { PREDRVREG_CP_TRIM   , 0x00 },

    { PREDRVREG_VREG5_TRIM, 0x00 },
    { PREDRVREG_CSAMP_TRIM, 0x00 },
    { PREDRVREG_ALMRAW1   , 0x00 },
    { PREDRVREG_TOIN_MONI , 0x00 },
    { PREDRVREG_WHO_AM_I  , 0x00 },

    { PREDRVREG_TRIM_PT   , 0x00 },
    { PREDRVREG_TRIM_EN   , 0x00 },
    { PREDRVREG_BGR_TRIM  , 0x00 },
    { PREDRVREG_BFAMP_TRIM, 0x00 },

};

/***********************************************************************************************************************
Global functions
***********************************************************************************************************************/

#endif
