/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* 
* Copyright (C) 2015-2019 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/******************************************************************************
* File Name   : mtr_ctrl_rl78g1f.c
* Description : The processing of a H/W control layer(MCU dependance)
******************************************************************************/
/******************************************************************************
* History : 23.03.2015  Ver.1.00
******************************************************************************/

/******************************************************************************
* Includes <System Includes> , "Project Includes"
******************************************************************************/
#include "mtr_common.h"
#include "r_dsp.h"
#include "mtr_ctrl_rl78g1f.h"
#include "mtr_ctrl_rl78g1f_t2001.h"

/******************************************************************************
* Function Name : mtr_clear_wdt
* Description   : Clear Watch Dog Timer
* Arguments     : none
* Return Value  : none
******************************************************************************/
void clear_wdt(void)
{
    WDTE = 0xAC;                                                        /* clear watch dog timer */
}

/******************************************************************************
* Function Name : mtr_clear_oc_flag
* Description   : Clear forced cutoff flag (detect over current)
* Arguments     : none
* Return Value  : none
******************************************************************************/
void mtr_clear_oc_flag(void)
{
    TRDOER2 = 0x00;                                                     /* clear oc flag */
}

/******************************************************************************
* Function Name : mtr_clear_trd0_imfa
* Description   : Clear compare match flag A
* Arguments     : none
* Return Value  : none
******************************************************************************/
void mtr_clear_trd0_imfa(void)
{
    TRDSR0 = TRDSR0 & ~0x01;
}

/******************************************************************************
* Function Name : mtr_clear_trd1_udf
* Description   : Clear underflow flag
* Arguments     : none
* Return Value  : none
******************************************************************************/
void mtr_clear_trd1_udf(void)
{
    TRDSR1 = TRDSR1 & ~0x20;
}

